$(document).ready(function(){
<!--slideshow -->	
$('.carousel').carousel({
interval: 5000 // speed
})
<!--toggle -->	
$("div.trigger").click(function(){
$(this).next(".toggle-container").slideToggle("slow");
});

});

<!--calendar -->
function onSelectCheckIn(selectedDate){
var date = jQuery.datepicker.parseDate(
jQuery(this).data("datepicker").settings.dateFormat ||
jQuery.datepicker._defaults.dateFormat,
selectedDate, jQuery(this).data("datepicker").settings
);
date = new Date(date.getFullYear(),date.getMonth(),date.getDate()+1);
//document.title = date.getFullYear()+"-"+(date.getMonth()+1)+"-"+date.getDate();
var maxdate = new Date(date.getFullYear(),date.getMonth(),date.getDate()+360);
jQuery("#enddate").datepicker("option","minDate",date);
jQuery("#enddate").datepicker("option","maxDate",maxdate);
var cyear = date.getFullYear();
var cmonth = date.getMonth()+1;
var cday = date.getDate();
if(cmonth<10){
cmonth = "0"+cmonth;
}
if(cday<10){
cday = "0"+cday;
}
setTimeout(function(){document.getElementById("enddate").value=cday+"-"+cmonth+"-"+cyear;},250);
//document.title = year+"-"+month+"-"+day;
}
function onSelectCheckIn2(selectedDate){
var date = jQuery.datepicker.parseDate(
jQuery(this).data("datepicker").settings.dateFormat ||
jQuery.datepicker._defaults.dateFormat,
selectedDate, jQuery(this).data("datepicker").settings
);
date = new Date(date.getFullYear(),date.getMonth(),date.getDate()+1);
//document.title = date.getFullYear()+"-"+(date.getMonth()+1)+"-"+date.getDate();
var maxdate = new Date(date.getFullYear(),date.getMonth(),date.getDate()+360);
jQuery("#checkout").datepicker("option","minDate",date);
jQuery("#checkout").datepicker("option","maxDate",maxdate);
var cyear = date.getFullYear();
var cmonth = date.getMonth()+1;
var cday = date.getDate();
if(cmonth<10){
cmonth = "0"+cmonth;
}
if(cday<10){
cday = "0"+cday;
}
setTimeout(function(){document.getElementById("checkout").value=cday+"-"+cmonth+"-"+cyear;},250);
//document.title = year+"-"+month+"-"+day;
}
<!--calendar booking-->
function onSelectCheckIn1(selectedDate){
var date = jQuery.datepicker.parseDate(
jQuery(this).data("datepicker").settings.dateFormat ||
jQuery.datepicker._defaults.dateFormat,
selectedDate, jQuery(this).data("datepicker").settings
);
date = new Date(date.getFullYear(),date.getMonth(),date.getDate()+1);
//document.title = date.getFullYear()+"-"+(date.getMonth()+1)+"-"+date.getDate();
var maxdate = new Date(date.getFullYear(),date.getMonth(),date.getDate()+360);
jQuery("#CHECK_OUT_DATE").datepicker("option","minDate",date);
jQuery("#CHECK_OUT_DATE").datepicker("option","maxDate",maxdate);
var cyear = date.getFullYear();
var cmonth = date.getMonth()+1;
var cday = date.getDate();
if(cmonth<10){
cmonth = "0"+cmonth;
}
if(cday<10){
cday = "0"+cday;
}
setTimeout(function(){document.getElementById("CHECK_OUT_DATE").value=cday+"-"+cmonth+"-"+cyear;},250);
//document.title = year+"-"+month+"-"+day;
}
jQuery(document).ready(function(){
var d = new Date();
var curr_year = d.getFullYear();
var curr_month = d.getMonth();
var curr_day = d.getDate();
jQuery("#startdate").datepicker({
onSelect:onSelectCheckIn,
showOtherMonths: true,
selectOtherMonths: true,
numberOfMonths: 2,
minDate: new Date(curr_year, curr_month, curr_day+1),
dateFormat: 'dd-mm-yy'
});
jQuery("#enddate").datepicker({
showOtherMonths: true,
selectOtherMonths: true,
numberOfMonths: 2,
minDate: new Date(curr_year, curr_month, curr_day+2),
dateFormat: 'dd-mm-yy',
})
jQuery("#CHECK_IN_DATE").datepicker({
onSelect:onSelectCheckIn1,
showOtherMonths: true,
selectOtherMonths: true,
numberOfMonths: 2,
minDate: new Date(curr_year, curr_month, curr_day+1),
dateFormat: 'dd-mm-yy'
});
jQuery("#CHECK_OUT_DATE").datepicker({
showOtherMonths: true,
selectOtherMonths: true,
numberOfMonths: 2,
minDate: new Date(curr_year, curr_month, curr_day+2),
dateFormat: 'dd-mm-yy',
})
jQuery("#checkin").datepicker({
onSelect:onSelectCheckIn2,
showOtherMonths: true,
selectOtherMonths: true,
numberOfMonths: 2,
minDate: new Date(curr_year, curr_month, curr_day+1),
dateFormat: 'dd-mm-yy'
});
jQuery("#checkout").datepicker({
showOtherMonths: true,
selectOtherMonths: true,
numberOfMonths: 2,
minDate: new Date(curr_year, curr_month, curr_day+2),
dateFormat: 'dd-mm-yy',
})
});
<!--scroll-->
jQuery(window).scroll(function(){
var scrolldistance = 200;
var scrolled = jQuery(window).scrollTop();
if(scrolled > scrolldistance){
jQuery('.menucontainer').addClass('menuscrolled');
}else{
jQuery('.menucontainer').removeClass('menuscrolled');
}
});